Deskhero Developer Hub
Back to deskhero.com
Email domains

Get dns setup

Returns the DKIM CNAME records that have to exist on the customer's domain, each with its current status, for the email domain with the given name. Despite reading like a lookup this drives the verification: it performs live DNS lookups, moves the domain through its verification phases (creating the Deskhero side DNS records, then creating and verifying the sending identity), stores the new status, and emails the User who added the domain once it becomes verified.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/email_domains/get_dns_setup/{domain}
Authorisation
Minimum role: ADMIN

Request arguments

Name Type Source
domainString
Request body example

Response

Status
200 (OK)
Type
DTO_dns_setup[]
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_dns_setup
NameTypeReadOnlyDescription
typeENUM dns_record_typeLeave empty on input
statusENUM dns_setup_statusStatus
host_valueStringHost value
dataStringData
ENUM dns_record_type
ValueNameDescription
0UNKNOWNUNKNOWN
1TXTTXT
2CNAMECNAME
ENUM dns_setup_status
ValueNameDescription
0UNKNOWNUNKNOWN
1PENDINGWaiting client to setup DNS records (or verification of it)
2INSTALLINGClient DNS record setup completed, and verification done
3COMPLETEDInstall completed

Generated Aug 4, 2026 18:37